Skip to main content
PUT
/
conversation-ai
/
agents
/
{agentId}
Update Agent
curl --request PUT \
  --url https://services.leadconnectorhq.com/conversation-ai/agents/{agentId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "autoPilotMaxMessages": 10,
  "name": "John Doe",
  "businessName": "Tech Corp",
  "mode": "off",
  "channels": [
    "IG"
  ],
  "isPrimary": true,
  "waitTime": 30,
  "waitTimeUnit": "seconds",
  "sleepEnabled": false,
  "sleepTime": 10,
  "sleepTimeUnit": "hours",
  "personality": "You re an AI assistant and you are friendly and helpful",
  "goal": "You are an AI assistant and you are helping customers with inquiries.",
  "instructions": "Provide excellent customer service.",
  "knowledgeBaseIds": [
    "<string>"
  ],
  "respondToImages": true,
  "respondToAudio": true
}
'
{
  "id": "emp_123",
  "name": "John Doe",
  "mode": "auto-pilot",
  "channels": [
    "SMS",
    "Live_Chat"
  ],
  "waitTime": 30,
  "waitTimeUnit": "seconds",
  "sleepEnabled": false,
  "actions": [
    {
      "id": "actionId123",
      "type": "triggerWorkflow"
    }
  ],
  "isPrimary": false,
  "autoPilotMaxMessages": 25,
  "businessName": "Tech Corp",
  "sleepTime": 2,
  "sleepTimeUnit": "hours",
  "goal": "Assist customers with inquiries",
  "personality": "Friendly and helpful",
  "instructions": "Provide excellent customer service",
  "knowledgeBaseIds": [
    "kb_123",
    "kb_456"
  ]
}

Authorizations

Authorization
string
header
required

Access Token or Private Integration Token

Headers

Version
enum<string>
required

API Version

Available options:
2021-04-15

Path Parameters

agentId
string
required

Conversations AI agent id

Body

application/json
autoPilotMaxMessages
number
default:10
required
name
string

Name of the agent.

Example:

"John Doe"

businessName
string

Name of the business the agent represents.

Example:

"Tech Corp"

mode
enum<string>

Mode of operation for the agent, required if primary is enabled.

Available options:
off,
suggestive,
auto-pilot
channels
enum<string>[]

Channels the agent can use.

Available options:
IG,
FB,
SMS,
WebChat,
WhatsApp,
Live_Chat
isPrimary
boolean

Indicates if this agent is a primary agent.

Example:

true

waitTime
number

Wait time before agent responds (max 5 for minutes, 300 for seconds).

Example:

30

waitTimeUnit
enum<string>

Unit for wait time - SECONDS or MINUTES

Available options:
minutes,
seconds
Example:

"seconds"

sleepEnabled
boolean

Indicates if sleep functionality is enabled.

Example:

false

sleepTime
number

Sleep time in the specified unit, required if sleepEnabled is true. (max 2880 for minutes, 172800 for seconds, 48 for hours)

Example:

10

sleepTimeUnit
enum<string>
default:hours

Unit of sleep time, required if sleepEnabled is true.

Available options:
hours,
minutes,
seconds
personality
string

Personality traits of the agent.

Example:

"You re an AI assistant and you are friendly and helpful"

goal
string

The goal of the agent.

Example:

"You are an AI assistant and you are helping customers with inquiries."

instructions
string

Instructions for the agent.

Example:

"Provide excellent customer service."

knowledgeBaseIds
string[]

Array of knowledge base IDs associated with this agent.

respondToImages
boolean
default:false

Allow agent to respond to images

Example:

true

respondToAudio
boolean
default:false

Allow agent to respond to audio

Example:

true

Response

Successful response

id
string
required

Unique identifier for the agent.

Example:

"emp_123"

name
string
required

Name of the agent.

Example:

"John Doe"

mode
enum<string>
required

Current operating mode of the agent.

Available options:
off,
suggestive,
auto-pilot
Example:

"auto-pilot"

channels
enum<string>[]
required

Communication channels the agent operates on.

Available options:
IG,
FB,
SMS,
WebChat,
WhatsApp,
Live_Chat
Example:
["SMS", "Live_Chat"]
waitTime
number
required

Wait time before agent responds.

Example:

30

waitTimeUnit
enum<string>
required

Unit for wait time.

Available options:
minutes,
seconds
Example:

"seconds"

sleepEnabled
boolean
required

Indicates if sleep functionality is enabled.

Example:

false

actions
object[]
required

List of actions associated with this agent.

isPrimary
boolean
required

Indicates if this agent is a primary agent.

Example:

false

autoPilotMaxMessages
number
required

Maximum number of messages in auto-pilot mode before requiring human intervention.

Example:

25

businessName
string

Name of the business the agent represents.

Example:

"Tech Corp"

sleepTime
number

Duration of sleep period.

Example:

2

sleepTimeUnit
enum<string>

Unit of sleep time.

Available options:
hours,
minutes,
seconds
Example:

"hours"

goal
string

The goal of the agent.

Example:

"Assist customers with inquiries"

personality
string

Personality traits of the agent.

Example:

"Friendly and helpful"

instructions
string

Instructions for the agent.

Example:

"Provide excellent customer service"

knowledgeBaseIds
string[]

Array of knowledge base IDs associated with this agent.

Example:
["kb_123", "kb_456"]
Last modified on March 7, 2026